local addonName, ns = ...
local LSM = LibStub("LibSharedMedia-3.0", true)
if not LSM then return end
local MediaType_SOUND = LSM.MediaType.SOUND

-----------------------------------
-- FEMALE VOICE SOUNDS
-----------------------------------
LSM:Register(MediaType_SOUND, "!Add_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Add Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Adds_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Adds Soon.mp3]])
LSM:Register(MediaType_SOUND, "!AirHorn_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\AirHorns.mp3]])
LSM:Register(MediaType_SOUND, "!Bait_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Bait.mp3]])
LSM:Register(MediaType_SOUND, "!Big_Add_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Big Add Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Bomb_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Bomb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Break_Shield_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Break Shield Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Break_Shield_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Break Shield.mp3]])
LSM:Register(MediaType_SOUND, "!Combo_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Combo Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Dodge_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Dodge.mp3]])
LSM:Register(MediaType_SOUND, "!Egg_Picked_Up_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Egg Picked Up.mp3]])
LSM:Register(MediaType_SOUND, "!Eggs_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Eggs Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Even_Soak_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Even Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Fish_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Find Fish.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Partner_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Find Partner Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Partner_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Find Partner.mp3]])
LSM:Register(MediaType_SOUND, "!Fixated_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Fixated.mp3]])
LSM:Register(MediaType_SOUND, "!Frontal_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Frontal Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Get_Close_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Get Close.mp3]])
LSM:Register(MediaType_SOUND, "!Get_Near_Mushroom_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Get Near Mushroom.mp3]])
LSM:Register(MediaType_SOUND, "!Interrupt_Incoming_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Interrupt Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Interrupt_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Interrupt.mp3]])
LSM:Register(MediaType_SOUND, "!Knockback_Incoming_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Knockback Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Marked_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Marked.mp3]])
LSM:Register(MediaType_SOUND, "!Mind_Control_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Mind Control Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Neutralize_Circles_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Neutralize Circles Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Next_Platform_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Next Platform.mp3]])
LSM:Register(MediaType_SOUND, "!Odd_Soak_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Odd Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Paralyzing_Venom_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Paralyzing Venom Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Phasing_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Phasing Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Player_Silence_Incoming_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Player Silence Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Pop_Droplets_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Pop Droplets.mp3]])
LSM:Register(MediaType_SOUND, "!Run_Into_Fire_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Run Into Fire.mp3]])
LSM:Register(MediaType_SOUND, "!Run_Into_Frost_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Run Into Frost.mp3]])
LSM:Register(MediaType_SOUND, "!Soak_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Soak Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Soak_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Spirits_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Spirits Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Bring_To_Edge_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Bring To Edge.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Burn_Corpses_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Burn Corpses.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Line_Up_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Line Up.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Run_Away_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Run Away.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Spread_Out_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Spread Out.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_With_Petrify_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted With Petrify.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted.mp3]])
LSM:Register(MediaType_SOUND, "!Use_Defensive_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Use Defensive.mp3]])
LSM:Register(MediaType_SOUND, "!Use_Health_Potion_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Use Health Potion.mp3]])
LSM:Register(MediaType_SOUND, "!WaterDrop_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\WaterDrop.mp3]])
LSM:Register(MediaType_SOUND, "!Place_Orb_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Place Orb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Bring_To_Mark_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Bring To Mark.mp3]])
LSM:Register(MediaType_SOUND, "!Spread_And_Dodge_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Spread And Dodge Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Catch_Orb_Soon_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Catch Orb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Spread_Out_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Spread Out.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Soak_With_People_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Targeted Soak With People.mp3]])
LSM:Register(MediaType_SOUND, "!Frontal_And_Move_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Frontal And Move.mp3]])
LSM:Register(MediaType_SOUND, "!Move_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Move.mp3]])
LSM:Register(MediaType_SOUND, "!Slowed_V2", [[Interface\AddOns\MidnightRaid2Sounds\Female_Voice\Slowed.mp3]])

-----------------------------------
-- MALE VOICE SOUNDS
-----------------------------------
LSM:Register(MediaType_SOUND, "!Add_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Add Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Adds_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Adds Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Bait", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Bait.mp3]])
LSM:Register(MediaType_SOUND, "!Big_Add_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Big Add Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Bomb_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Bomb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Break_Shield_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Break Shield Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Break_Shield", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Break Shield.mp3]])
LSM:Register(MediaType_SOUND, "!Combo_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Combo Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Dodge", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Dodge.mp3]])
LSM:Register(MediaType_SOUND, "!Egg_Picked_Up", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Egg Picked Up.mp3]])
LSM:Register(MediaType_SOUND, "!Eggs_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Eggs Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Even_Soak", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Even Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Fish", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Find Fish.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Partner_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Find Partner Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Find_Partner", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Find Partner.mp3]])
LSM:Register(MediaType_SOUND, "!Fixated", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Fixated.mp3]])
LSM:Register(MediaType_SOUND, "!Frontal_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Frontal Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Get_Close", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Get Close.mp3]])
LSM:Register(MediaType_SOUND, "!Get_Near_Mushroom", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Get Near Mushroom.mp3]])
LSM:Register(MediaType_SOUND, "!Interrupt_Incoming", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Interrupt Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Interrupt", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Interrupt.mp3]])
LSM:Register(MediaType_SOUND, "!Knockback_Incoming", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Knockback Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Marked", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Marked.mp3]])
LSM:Register(MediaType_SOUND, "!Mind_Control_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Mind Control Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Neutralize_Circles_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Neutralize Circles Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Next_Platform", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Next Platform.mp3]])
LSM:Register(MediaType_SOUND, "!Odd_Soak", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Odd Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Paralyzing_Venom_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Paralyzing Venom Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Phasing_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Phasing Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Player_Silence_Incoming", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Player Silence Incoming.mp3]])
LSM:Register(MediaType_SOUND, "!Pop_Droplets", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Pop Droplets.mp3]])
LSM:Register(MediaType_SOUND, "!Run_Into_Fire", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Run Into Fire.mp3]])
LSM:Register(MediaType_SOUND, "!Run_Into_Frost", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Run Into Frost.mp3]])
LSM:Register(MediaType_SOUND, "!Soak_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Soak Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Soak", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Soak.mp3]])
LSM:Register(MediaType_SOUND, "!Spirits_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Spirits Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Bring_To_Edge", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Bring To Edge.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Burn_Corpses", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Burn Corpses.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Line_Up", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Line Up.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Run_Away", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Run Away.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Spread_Out", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Spread Out.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_With_Petrify", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted With Petrify.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted.mp3]])
LSM:Register(MediaType_SOUND, "!Use_Defensive", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Use Defensive.mp3]])
LSM:Register(MediaType_SOUND, "!Use_Health_Potion", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Use Health Potion.mp3]])
LSM:Register(MediaType_SOUND, "!Place_Orb", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Place Orb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Bring_To_Mark", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Bring To Mark.mp3]])
LSM:Register(MediaType_SOUND, "!Spread_And_Dodge_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Spread And Dodge Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Catch_Orb_Soon", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Catch Orb Soon.mp3]])
LSM:Register(MediaType_SOUND, "!Spread_Out", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Spread Out.mp3]])
LSM:Register(MediaType_SOUND, "!Targeted_Soak_With_People", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Targeted Soak With People.mp3]])
LSM:Register(MediaType_SOUND, "!Frontal_And_Move", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Frontal And Move.mp3]])
LSM:Register(MediaType_SOUND, "!Move", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Move.mp3]])
LSM:Register(MediaType_SOUND, "!Slowed", [[Interface\AddOns\MidnightRaid2Sounds\Male_Voice\Slowed.mp3]])